TLS updates needed for on-premise TFS

Ensure that your installation of TFS, the underlying .NET version(s), and Windows Server all support TLS 1.2 endpoints.

.NET Framework version(s) used by TFS must support TLS 1.2. Some .NET Framework versions may require additional registry settings for "SchUseStrongCrypto" as described here. Check the .NET Framework version table for older TFS versions here

Windows Server must also support TLS 1.2. Windows Server 2008R2 may require additional updates and registry changes to support TLS 1.2 as described here. TFS 2015 (.NET 4.6) and above running on Windows Server 2012 and above should not require any changes to utilize TLS 1.2 endpoints.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Roadmap software to manage your products.
Finally, connect strategy to execution.

Powered by Zendesk